#ifndef _SNAPSHOTS_H_INCLUDED_
#define _SNAPSHOTS_H_INCLUDED_

#include <stdio.h>
#include "types.h"

#pragma pack ( push, SNAPSHOTS_PACK, 1 )

#define SNA_IMAGE_SIZE		49152
#define MEMORY_SIZE			65536

typedef struct {

	u8	i;
	u16	xhl;
	u16	xde;
	u16	xbc;
	u16	xaf;
	u16	hl;
	u16	de;
	u16	bc;
	u16	iy;
	u16	ix;
	u8	iff2;
	u8	r;
	u16	af;
	u16	sp;
	u8	im;
	u8	border;
	u8	image[];

} sna_t, *LPSNA;

#pragma pack ( pop, SNAPSHOTS_PACK )



u8 *OpenSNAfile ( LPSTR szFilename );
size_t FILE_Length ( FILE *infile );
void FILE_Unload ( void *mem );
void *FILE_Load( LPSTR szFilename);

#endif //_SNAPSHOTS_H_INCLUDED_